AdditionalUiFilter
Returns a list of all AdditionalUiFilter
GET/api/settings/ui_filter
Query parameters
deletedboolean | This property is used to mark an entity as deleted / archived | Default value: false |
namestring | |
entityTypestring | Entity the filter is added to, for example Person. |
infoModestring | Display mode of the info text of the filter. |
filterGroupstring | Group the filter is shown in. |
filterTypestring | Type of the filter, for example single value or range. |
filterOrderstring | Sort order of the filter inside its group. |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of all AdditionalUiFilterarray<AdditionalUiFilter>
Show fields (15)
idintegerPrimary key of the additional filter. Internal ID.
entity_typestringEntity the filter is added to, for example Person.
filter_typestringType of the filter, for example single value or range.
filter_groupstringGroup the filter is shown in.
filter_orderintegerSort order of the filter inside its group.
filter_scopestringAccess scope needed to use the filter.
filter_conditionstringCondition the filter applies, for example equals or contains.
filter_access_typeintegerAccess type needed to use the filter.
field_namestringTechnical name of the field the filter works on.
field_valuestringPreset value of the filter.
info_modestringDisplay mode of the info text of the filter.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request GET \
--url https://your-instance.iw-erp.de/api/settings/ui_filter \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/settings/ui_filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/ui_filter"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/settings/ui_filter', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/ui_filter"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/ui_filter")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/ui_filter"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/additional_ui_filter_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await AdditionalUiFilterController.getAll();
if (result.success) {
print(result.data);
}[
{
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"filter_type": "string",
"filter_group": "string",
"filter_order": 1,
"filter_scope": "string",
"filter_condition": "string",
"filter_access_type": 1
}
]Add a new AdditionalUiFilter
POST/api/settings/ui_filter
Request body application/json
dataAdditionalUiFilterShow fields (15)
idintegerPrimary key of the additional filter. Internal ID.
entity_typestringEntity the filter is added to, for example Person.
filter_typestringType of the filter, for example single value or range.
filter_groupstringGroup the filter is shown in.
filter_orderintegerSort order of the filter inside its group.
filter_scopestringAccess scope needed to use the filter.
filter_conditionstringCondition the filter applies, for example equals or contains.
filter_access_typeintegerAccess type needed to use the filter.
field_namestringTechnical name of the field the filter works on.
field_valuestringPreset value of the filter.
info_modestringDisplay mode of the info text of the filter.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Add a new AdditionalUiFilterAdditionalUiFilter
Show fields (15)
idintegerPrimary key of the additional filter. Internal ID.
entity_typestringEntity the filter is added to, for example Person.
filter_typestringType of the filter, for example single value or range.
filter_groupstringGroup the filter is shown in.
filter_orderintegerSort order of the filter inside its group.
filter_scopestringAccess scope needed to use the filter.
filter_conditionstringCondition the filter applies, for example equals or contains.
filter_access_typeintegerAccess type needed to use the filter.
field_namestringTechnical name of the field the filter works on.
field_valuestringPreset value of the filter.
info_modestringDisplay mode of the info text of the filter.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request POST \
--url https://your-instance.iw-erp.de/api/settings/ui_filter \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"filter_type": "string",
"filter_group": "string"
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
field_name: 'Beispiel',
name: 'Beispiel',
entity_type: 'string',
filter_type: 'string',
filter_group: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/settings/ui_filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/ui_filter"
payload = { "data": {
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"filter_type": "string",
"filter_group": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/settings/ui_filter', [
'body' => '{"data":{"id":42,"field_name":"Beispiel","name":"Beispiel","entity_type":"string","filter_type":"string","filter_group":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/ui_filter"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"filter_type\":\"string\",\"filter_group\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"filter_type\":\"string\",\"filter_group\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/ui_filter")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/ui_filter"
payload := strings.NewReader("{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"filter_type\":\"string\",\"filter_group\":\"string\"}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/additional_ui_filter_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/additional_ui_filter.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await AdditionalUiFilterController.post(AdditionalUiFilter.fromJson({
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"filter_type": "string",
"filter_group": "string"
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"filter_type": "string",
"filter_group": "string",
"filter_order": 1,
"filter_scope": "string",
"filter_condition": "string",
"filter_access_type": 1
}Returns a single AdditionalUiFilter entry.
GET/api/settings/ui_filter/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Return single AdditionalUiFilterAdditionalUiFilter
Show fields (15)
idintegerPrimary key of the additional filter. Internal ID.
entity_typestringEntity the filter is added to, for example Person.
filter_typestringType of the filter, for example single value or range.
filter_groupstringGroup the filter is shown in.
filter_orderintegerSort order of the filter inside its group.
filter_scopestringAccess scope needed to use the filter.
filter_conditionstringCondition the filter applies, for example equals or contains.
filter_access_typeintegerAccess type needed to use the filter.
field_namestringTechnical name of the field the filter works on.
field_valuestringPreset value of the filter.
info_modestringDisplay mode of the info text of the filter.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request GET \
--url https://your-instance.iw-erp.de/api/settings/ui_filter/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/settings/ui_filter/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/ui_filter/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/settings/ui_filter/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/ui_filter/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/ui_filter/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/ui_filter/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/additional_ui_filter_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await AdditionalUiFilterController.get('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"filter_type": "string",
"filter_group": "string",
"filter_order": 1,
"filter_scope": "string",
"filter_condition": "string",
"filter_access_type": 1
}Updates an existing AdditionalUiFilter entry.
PUT/api/settings/ui_filter/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataAdditionalUiFilterShow fields (15)
idintegerPrimary key of the additional filter. Internal ID.
entity_typestringEntity the filter is added to, for example Person.
filter_typestringType of the filter, for example single value or range.
filter_groupstringGroup the filter is shown in.
filter_orderintegerSort order of the filter inside its group.
filter_scopestringAccess scope needed to use the filter.
filter_conditionstringCondition the filter applies, for example equals or contains.
filter_access_typeintegerAccess type needed to use the filter.
field_namestringTechnical name of the field the filter works on.
field_valuestringPreset value of the filter.
info_modestringDisplay mode of the info text of the filter.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Update single AdditionalUiFilterAdditionalUiFilter
Show fields (15)
idintegerPrimary key of the additional filter. Internal ID.
entity_typestringEntity the filter is added to, for example Person.
filter_typestringType of the filter, for example single value or range.
filter_groupstringGroup the filter is shown in.
filter_orderintegerSort order of the filter inside its group.
filter_scopestringAccess scope needed to use the filter.
filter_conditionstringCondition the filter applies, for example equals or contains.
filter_access_typeintegerAccess type needed to use the filter.
field_namestringTechnical name of the field the filter works on.
field_valuestringPreset value of the filter.
info_modestringDisplay mode of the info text of the filter.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request PUT \
--url https://your-instance.iw-erp.de/api/settings/ui_filter/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"filter_type": "string",
"filter_group": "string"
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
field_name: 'Beispiel',
name: 'Beispiel',
entity_type: 'string',
filter_type: 'string',
filter_group: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/settings/ui_filter/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/ui_filter/42"
payload = { "data": {
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"filter_type": "string",
"filter_group": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/settings/ui_filter/42', [
'body' => '{"data":{"id":42,"field_name":"Beispiel","name":"Beispiel","entity_type":"string","filter_type":"string","filter_group":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/ui_filter/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"filter_type\":\"string\",\"filter_group\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"filter_type\":\"string\",\"filter_group\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/ui_filter/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/ui_filter/42"
payload := strings.NewReader("{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"filter_type\":\"string\",\"filter_group\":\"string\"}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/additional_ui_filter_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/additional_ui_filter.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await AdditionalUiFilterController.put(AdditionalUiFilter.fromJson({
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"filter_type": "string",
"filter_group": "string"
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"filter_type": "string",
"filter_group": "string",
"filter_order": 1,
"filter_scope": "string",
"filter_condition": "string",
"filter_access_type": 1
}Updates an existing AdditionalUiFilter entry.
PATCH/api/settings/ui_filter/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataAdditionalUiFilterShow fields (15)
idintegerPrimary key of the additional filter. Internal ID.
entity_typestringEntity the filter is added to, for example Person.
filter_typestringType of the filter, for example single value or range.
filter_groupstringGroup the filter is shown in.
filter_orderintegerSort order of the filter inside its group.
filter_scopestringAccess scope needed to use the filter.
filter_conditionstringCondition the filter applies, for example equals or contains.
filter_access_typeintegerAccess type needed to use the filter.
field_namestringTechnical name of the field the filter works on.
field_valuestringPreset value of the filter.
info_modestringDisplay mode of the info text of the filter.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Update single AdditionalUiFilterAdditionalUiFilter
Show fields (15)
idintegerPrimary key of the additional filter. Internal ID.
entity_typestringEntity the filter is added to, for example Person.
filter_typestringType of the filter, for example single value or range.
filter_groupstringGroup the filter is shown in.
filter_orderintegerSort order of the filter inside its group.
filter_scopestringAccess scope needed to use the filter.
filter_conditionstringCondition the filter applies, for example equals or contains.
filter_access_typeintegerAccess type needed to use the filter.
field_namestringTechnical name of the field the filter works on.
field_valuestringPreset value of the filter.
info_modestringDisplay mode of the info text of the filter.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/settings/ui_filter/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"filter_type": "string",
"filter_group": "string"
}
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
field_name: 'Beispiel',
name: 'Beispiel',
entity_type: 'string',
filter_type: 'string',
filter_group: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/settings/ui_filter/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/ui_filter/42"
payload = { "data": {
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"filter_type": "string",
"filter_group": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/settings/ui_filter/42', [
'body' => '{"data":{"id":42,"field_name":"Beispiel","name":"Beispiel","entity_type":"string","filter_type":"string","filter_group":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/ui_filter/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"filter_type\":\"string\",\"filter_group\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"filter_type\":\"string\",\"filter_group\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/ui_filter/42")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/ui_filter/42"
payload := strings.NewReader("{\"data\":{\"id\":42,\"field_name\":\"Beispiel\",\"name\":\"Beispiel\",\"entity_type\":\"string\",\"filter_type\":\"string\",\"filter_group\":\"string\"}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/settings/ui_filter/42'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"filter_type": "string",
"filter_group": "string"
}
}),
);
print(response.body);{
"id": 42,
"field_name": "Beispiel",
"name": "Beispiel",
"entity_type": "string",
"filter_type": "string",
"filter_group": "string",
"filter_order": 1,
"filter_scope": "string",
"filter_condition": "string",
"filter_access_type": 1
}